
From: Andi Kleen <ak@suse.de>

Remove unused get_cr2 function (from i386) 

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/traps.c |    9 ---------
 1 files changed, 9 deletions(-)

diff -puN arch/x86_64/kernel/traps.c~x86-remove-unused-function arch/x86_64/kernel/traps.c
--- 25/arch/x86_64/kernel/traps.c~x86-remove-unused-function	2005-01-23 14:39:54.798837568 -0800
+++ 25-akpm/arch/x86_64/kernel/traps.c	2005-01-23 14:39:54.802836960 -0800
@@ -405,15 +405,6 @@ void die_nmi(char *str, struct pt_regs *
 	do_exit(SIGSEGV);
 }
 
-static inline unsigned long get_cr2(void)
-{
-	unsigned long address;
-
-	/* get the address */
-	__asm__("movq %%cr2,%0":"=r" (address));
-	return address;
-}
-
 static void do_trap(int trapnr, int signr, char *str, 
 			   struct pt_regs * regs, long error_code, siginfo_t *info)
 {
_
